#include <iostream>

using namespace std;

int main()
{
    int n;cin>>n;
    string niz[n];
    int resenje;
    for (int i=0;i<n;i++)
    {
        int broj,banana,grupe;cin>>broj>>banana>>grupe;
        int broj_u_grupi=broj/grupe;
        if (broj_u_grupi%2==0)
        {
            resenje=(broj_u_grupi+1)*(broj_u_grupi/2);
        }
        else
        {
            resenje=((((broj_u_grupi+1)*(broj_u_grupi/2))+(((broj_u_grupi-1)/2)+1))*grupe);
        }
        int ostatak=broj%grupe;
        resenje+=ostatak*(broj_u_grupi+1);
        if (resenje<=banana)
            {
                niz[i]="Tak";
            }
            else
            {
                niz[i]="Nie";
            }
    }
    for (int i=0;i<n;i++)
    {
        cout<<niz[i]<<endl;
    }
    return 0;
}